Loading...
Searching...
No Matches
localfiniteelementgeometry.hh File Reference
`#include <cassert>`
`#include <functional>`
`#include <limits>`
`#include <type_traits>`
`#include <vector>`
`#include <dune/common/fmatrix.hh>`
`#include <dune/common/fvector.hh>`
`#include <dune/common/math.hh>`
`#include <dune/common/typetraits.hh>`
`#include <dune/common/std/type_traits.hh>`
`#include <dune/geometry/quadraturerules.hh>`
`#include <dune/geometry/referenceelements.hh>`
`#include <dune/geometry/type.hh>`
`#include <dune/geometry/utility/algorithms.hh>`
`#include <dune/geometry/utility/convergence.hh>`
`#include <dune/geometry/utility/defaultmatrixhelper.hh>`

Go to the source code of this file.

## Classes

class | Dune::LocalFiniteElementGeometry< LFE, cdim >
| Geometry implementation based on local-basis function parametrization. More...

## Namespaces

namespace | Dune

## Functions

template<class I, class LFE, class GlobalCoordinate>
| Dune::LocalFiniteElementGeometry (Geo::ReferenceElement< I >, const LFE &, std::vector< GlobalCoordinate >) -> LocalFiniteElementGeometry< LFE, GlobalCoordinate::dimension >
template<class I, class LFE, class F, class Range = std::invoke_result_t<F,Impl::LocalCoordinate_t<LFE>>>
| Dune::LocalFiniteElementGeometry (Geo::ReferenceElement< I >, const LFE &, const F &) -> LocalFiniteElementGeometry< LFE, Range::dimension >
template<class LFE, class GlobalCoordinate>
| Dune::LocalFiniteElementGeometry (GeometryType, const LFE &localFE, std::vector< GlobalCoordinate >) -> LocalFiniteElementGeometry< LFE, GlobalCoordinate::dimension >
template<class LFE, class F, class Range = std::invoke_result_t<F,Impl::LocalCoordinate_t<LFE>>>
| Dune::LocalFiniteElementGeometry (GeometryType, const LFE &, const F &) -> LocalFiniteElementGeometry< LFE, Range::dimension >